Bug 58375 - Docbook paper size
Docbook paper size
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: docbook-utils (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Waugh
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-01-15 09:20 EST by Need Real Name
Modified: 2008-05-01 11:38 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-02-05 13:06:03 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Need Real Name 2002-01-15 09:20:11 EST
Hello,

According to your wishes, I am opening a new bug report for the paper size.

You wrote:
> Paper size:
> The paper size is a stylesheet parameter: if you want to change stylesheet 
> parameters you need to create a custom DSSSL stylesheet and use the -d option.

I think the basic user should not have to do this. This should be automatic, one
way or the other.
In RedHat 7.1 it was already A4 and in 7.2 it is back to US letter.

IMHO there should be an environment variable specifying the size of the paper
according to the location of the machine (I think this can be determined with
the clock...).
Europe: A4
US: Letter
and all these documentation generating programs should adapt themselves somehow
to this parameter (through a script or something). That would make life much
easier. I spent 3 hours to produce a .ps I am not even really happy with.... How
long does it take with M$ Windows?
I am not even mentionning single page or double page... I like double page
documents... but I cannot produce them or to be more exact, decide when I want
some (margin size and page number location...)

This should not be done at the desktop level but at the system level I think and
neither the user, nor the system administrator should have to fix this.... 
Europe: A4, US: US Letter. As simple as that...
Comment 1 Tim Waugh 2002-01-15 09:39:07 EST
> but I cannot produce them or to be more exact, decide when I want
> some (margin size and page number location...)

All of these things, and many many more, can be specified by using a custom 
stylesheet layer.

However, for the paper size I agree it would be nice to base it off LC_PAPER.  
For a4 vs letter this should be fairly easy; I'll look at it for the next 
release if I get time to.

(Note to self: This should also be done for xmlto somehow.)
Comment 2 Tim Waugh 2002-02-06 11:40:57 EST
Please try docbook-utils-0.6.9-21, which has an attempt at getting this right. 
It uses the same approach as xmlto now does.

Note You need to log in before you can comment on or make changes to this bug.